package com.liangjian.dataplatform.member.entity.vo.datanodes;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.liangjian.dataplatform.member.constant.DataNodeConstant;

/**
 * @Author: 黄子奇
 * @Date: 2019/8/26 15:04
 *
 * 所有数据的根节点，可用于树状展示的根（非总根，可能不需要总根）
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class MetaCoreRoot extends DataNode {
    private static final long serialVersionUID = 2829834411575352454L;

    public MetaCoreRoot() {
    }

    public MetaCoreRoot(String id, String name, String nodeType) {
        this.id = id;
        this.name = name;
        this.isParent = true;
        this.nodeType = nodeType;
    }

    @Override
    public String getDataKind() {
        return DataNodeConstant.KIND_ROOT;
    }
}
